clan::DirectoryListing Class Reference - ClanLib SDK
Description: clan::DirectoryListing Class Reference

Public Member Functions | List of all members
clan::DirectoryListing Class Reference

Virtual File System (VFS) directory listing class. More...

`#include <directory_listing.h>`

## Public Member Functions
| DirectoryListing ()
| Constructs a null instance.
| DirectoryListing (FileSystemProvider *provider, const std::string &path)
| Constructs a virtual directory listening object.
virtual | ~DirectoryListing ()
std::string | get_filename ()
| Returns the file name of the current item in the listing.
bool | is_directory ()
| Returns true if item is a directory.
bool | is_hidden ()
| Returns true if item is hidden.
bool | is_null () const
| Returns true if this object is invalid.
bool | is_readable ()
| Returns true if item is readable.
bool | is_writable ()
| Returns true if item is writable.
bool | next ()
| Advance to next item in listing.
void | throw_if_null () const
| Throw an exception if this object is invalid.

## Detailed Description

Virtual File System (VFS) directory listing class.

## Constructor & Destructor Documentation

## ◆ DirectoryListing() [1/2]

clan::DirectoryListing::DirectoryListing | ( |  | ) |

Constructs a null instance.

## ◆ DirectoryListing() [2/2]

clan::DirectoryListing::DirectoryListing | ( | FileSystemProvider * | provider,
|  | const std::string & | path )

Constructs a virtual directory listening object.

## ◆ ~DirectoryListing()

virtual clan::DirectoryListing::~DirectoryListing | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ get_filename()

std::string clan::DirectoryListing::get_filename | ( |  | ) |

Returns the file name of the current item in the listing.

## ◆ is_directory()

bool clan::DirectoryListing::is_directory | ( |  | ) |

Returns true if item is a directory.

## ◆ is_hidden()

bool clan::DirectoryListing::is_hidden | ( |  | ) |

Returns true if item is hidden.

## ◆ is_null()

bool clan::DirectoryListing::is_null | ( |  | ) | const
| inline

Returns true if this object is invalid.

## ◆ is_readable()

bool clan::DirectoryListing::is_readable | ( |  | ) |

Returns true if item is readable.

## ◆ is_writable()

bool clan::DirectoryListing::is_writable | ( |  | ) |

Returns true if item is writable.

## ◆ next()

bool clan::DirectoryListing::next | ( |  | ) |

Advance to next item in listing.

## ◆ throw_if_null()

void clan::DirectoryListing::throw_if_null | ( |  | ) | const

Throw an exception if this object is invalid.

The documentation for this class was generated from the following file:

- directory_listing.h